.intro {
  display: flex;
  flex-wrap: wrap;
}

.intro__image {
  margin-top: 15px;
  width: 100%;
  order: 1;

  @include md {
    margin: 0;
    padding-top: 0;
    width: 50%;
  }
}

.intro__zip {
  width: 100%;
  order: 2;

  @include xs {
    padding: 20px;
  }

  @include sm {
    padding: 50px;
  }

  @include md {
    padding: 20px;
  }

  @include lg {
    padding: 50px;
  }
}

@include md {
  .intro__image,
  .intro__zip {
    width: 50%;
  }
}

.intro__zip-text {
  font-size: 24px;
  font-weight: bold;
  line-height: 1.3em;
  margin-bottom: 30px;

  @include sm {
    padding: 0 40px;
  }

  @include md {
    padding: 0 20px;
  }
}

.intro__zip-text--uppercase {
  text-transform: uppercase;
}

.intro__zip-form {
  max-width: 600px;
}

.intro__zip-form__label {
  display: block;
  font-size: 10px;
  font-weight: 200;
  text-transform: uppercase;
}

.intro__zip-form__input {
  background: $input-background;
  border: 1px solid $input-border-color;
  color: $input-color;
  font-size: 14px;
  font-weight: 400;
  height: 46px;
  margin-bottom: 20px;
  outline: 0;
  padding: 12px 18px;
  width: 100%;
}

.intro__zip-form__submit {
  background: $button-background;
  border: 2px solid $button-border-color;
  color: $button-color;
  cursor: pointer;
  display: block;
  font-size: 14px;
  font-weight: 600;
  height: 50px;
  line-height: 46px;
  margin: 0 auto;
  padding: 0 50px;
  text-align: center;
  text-transform: uppercase;
  transition: background 0.3s, color 0.3s;
  width: 85%;

  &:hover {
    background: $button-background-hover;
    color: $button-color-hover;
  }
}
